/* Install the GXE OS/2 software */
arg source target
if length(source) == 0 | length(target) == 0 then
        say "Usage: INSTOBJ [source drive]: [target drive]:"
else
        if substr(source,2,1) \= ':' | substr(target,2,1) \= ':' then do
                say "Usage: INSTOBJ [source drive]: [target drive]:"
                say "Each drive letter must be followed by a colon."
                end
        else do
                cmdstr = source'\REFRESH2.*  ' target'\OS2\APPS'
                '@copy 'cmdstr
                setupstr ="EXENAME="||target||"\OS2\APPS\REFRESH2.EXE"
                call RxFuncAdd 'SysCreateObject', 'RexxUtil', 'SysCreateObject'
                if SysCreateObject( "WPProgram", "Number Nine GXE", "<WP_CONFIG>",,
                       setupstr ) then
                say 'Number Nine GXE object installed'
                end
